// Flutter imports:
import 'package:flutter/material.dart' show ThemeMode;

// Package imports:
import 'package:flutter_secure_storage/flutter_secure_storage.dart';
import 'package:hive_ce/hive.dart';
import 'package:remever/common/resources.dart';
import 'package:remever/i18n/strings.g.dart';

// Project imports:

///
/// Защищенное хранилище для авторизации
///
const FlutterSecureStorage authSecStorage = FlutterSecureStorage();

///
/// Защищенное хранилище для ключей [Hive]
///
const FlutterSecureStorage hiveKeysStorage = FlutterSecureStorage();

/// --- Hive
Box<AppLocale> get hiveLang => Hive.box<AppLocale>(Storage.hiveLang);

Box<ThemeMode> get hiveTheme => Hive.box<ThemeMode>(Storage.hiveThemeMode);
